
////////////////////////////////////////////////////////////////////////////////////////
//number of boxes = number of childs in array
//w=wall <- unpassable
//g=ground <- walkable
//o=default
//a=player1start
//b=player2start
//c=player3start
//d=player4start

int[][] enemyTypes = {{2,1,0},{4,1,0},{4,1,0},{6,3,1},{8,2,2}};

char[][][][] mapArrayWhole = 

{
  
{{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','k'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','t'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'g','d'},{'g','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
 
 
 
 {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','a'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','d'},{'w','o'},{'g','k'},{'g','o'},{'g','o'},{'g','t'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','b'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
 
{{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'g','t'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','k'},{'w','o'},{'g','d'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
 
 
 
 {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','k'},{'w','o'},{'w','o'},{'w','o'},{'g','t'},{'w','o'},{'w','o'},{'g','d'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
 
 
{{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','k'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','t'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','d'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'}}, 
 {{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'}}, 
 {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
 
 
 
 
 
  

//char[][][] mapArray0 = 
//
//{{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','a'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','b'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'g','o'},{'g','t'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}},
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
//// char[][][] mapArray1 = 
//{{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','d'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','t'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','k'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}}, 
// 
//// char[][][] mapArray2 = 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','a'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','k'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','t'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','d'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','b'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
//// char[][][] mapArray3 = 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'}}, 
// {{'w','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'g','k'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','t'},{'w','o'}}, 
// {{'w','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','d'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
//// char[][][]mapArray4 = 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','d'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','a'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','t'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','b'},{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','k'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
//// char[][][]mapArray5 = 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','k'},{'g','r'},{'g','a'},{'g','b'},{'g','o'},{'g','o'},{'g','r'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','d'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','r'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','r'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','t'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
//// char[][][]mapArray6 = 
// 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','a'},{'g','b'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','k'},{'w','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','t'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','d'},{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}},
// 
// {{{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','a'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','t'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','b'},{'g','r'},{'g','r'},{'g','r'},{'g','k'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','d'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'w','o'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'g','r'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'g','o'},{'w','o'}}, 
// {{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'},{'w','o'}}}, 
// 
// 
 };
 
 
char[][][] mapArray=mapArrayWhole[0];
//0 no key or door
//1 no bullets + empty space
//2 no Bullets
//3 Grided Linear - Enemies on Outside
//4 Enemies get stuck, waiting 
//5 Debug Linear Testing
//6 Debug Rectangle Testing
//7 Debug Bullets Testing











 
